API ReferenceSessions

Update a chat session

PATCH
/v1/sessions/{session_id}

Authorization

bearerAuth
AuthorizationBearer <token>

Send a SimpleServe API key as Authorization: Bearer <key>.

In: header

Path Parameters

session_id*string
Match^ses_[A-Za-z0-9]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/sessions/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "object": "session",  "agent": "string",  "agent_name": "string",  "provider_name": "string",  "provider_logo_url": "string",  "status": "queued",  "active_run_id": "string",  "title": "string",  "preview": "string",  "pinned_at": "2019-08-24T14:15:22Z",  "unread": true,  "archived_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}